"use strict";

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

var _slicedToArray2 = require("babel-runtime/helpers/slicedToArray");

var _slicedToArray3 = _interopRequireDefault(_slicedToArray2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function splitLocale(locale) {
  var _locale$match = locale.match(/([a-z]{2})(?:_([a-z]{2}))?/i),
      _locale$match2 = (0, _slicedToArray3.default)(_locale$match, 3),
      language = _locale$match2[1],
      region = _locale$match2[2];

  var result = { language: language.toLowerCase() };

  if (region) {
    result.region = region.toUpperCase();
  }

  return result;
};

function createLocale(code, source) {
  var cachedString = void 0;

  var proto = (0, _extends3.default)({}, splitLocale(code), {
    toString: function toString() {
      if (!cachedString) {
        cachedString = proto.language + "_" + proto.region;
      }

      return cachedString;
    }
  });

  if (source) {
    proto.source = source;
  }

  return proto;
}

module.exports = createLocale;